---
title: llarp/bootstrap.hpp

---

# llarp/bootstrap.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::BootstrapList](Classes/structllarp_1_1BootstrapList.md)**  |




## Source code

```cpp
#pragma once

#include "router_contact.hpp"
#include <set>

namespace llarp
{
  struct BootstrapList final : public std::set<RouterContact>
  {
    bool
    BDecode(llarp_buffer_t* buf);

    bool
    BEncode(llarp_buffer_t* buf) const;

    void
    Clear();
  };
}  // namespace llarp
```


-------------------------------

Updated on 2022-09-12 at 22:16:02 +0000
